.input-picture {
  width: 200px;
  height: 200px;
  vertical-align: bottom;

  &.cover {
    max-width: 600px;
    width: 100%;
  }

  .progress {
    position: absolute;
    top: 45%;
    left: 0;
    right: 0;

    background-color: rgba(var(--bs-gray-200), 0.7);
  }

  .image {
    width: 100%;
    height: 100%;
    border: 1px solid var(--bs-gray-300);
    background-color: var(--bs-gray-100);
    cursor: pointer;

    background-size: cover;
    background-position: center center;
  }

  input[type="file"] {
    display: none;
  }

  .btn.btn-delete {
    position: absolute;
    right: 10px;
    top: 10px;
  }

  .btn.btn-rotate {
    position: absolute;
    left: 10px;
    bottom: 10px;
  }

  .btn.btn-enable-360 {
    position: absolute;
    right: 10px;
    bottom: 10px;
  }

  position: relative;
  display: inline-block;

  .fa-spinner {
    text-shadow: 0 0 3px var(--bs-white);
    position: absolute;
    width: 40px;
    height: 40px;
    top: calc(50% - 20px);
    left: calc(50% - 22px);
  }

  .error {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    padding: 0 5px;
    background-color: $danger;
    color: $white;
  }
}
